# Interface TestProgressEvent

All Superinterfaces:
  `ProgressEvent`

All Known Subinterfaces:
  `TestFinishEvent, TestStartEvent`

@Incubating public interface TestProgressEvent extends ProgressEvent
Root interface for all events that signal progress while executing a test or test suite.

Since:
  2.4

## Method Summary

Modifier and Type
Method
Description
`TestOperationDescriptor`
`getDescriptor()`
Returns the description of the test for which progress is reported.

### Methods inherited from interface ProgressEvent

`getDisplayName, getEventTime`

## Method Details

### getDescriptor

TestOperationDescriptor getDescriptor()
Returns the description of the test for which progress is reported. For JVM-based tests, the descriptor is of sub-type `JvmTestOperationDescriptor`.

Specified by:
  `getDescriptor` in interface `ProgressEvent`
Returns:
  The description of the underlying test operation.